-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local gaugesScreenName = "@cw202_lcd_tex"
local htmlTexture = require("htmlTexture")
local dist = 0
local timer=0
local data = {}

local function onInit()
    htmlTexture.create( gaugesScreenName , "local://local/vehicles/C_CLK/Clock.html", 150, 152, 10, 'automatic')
end

local function updateGFX(dt)
	timer = timer + dt
	dist = dist + (electrics.values.wheelspeed*dt or 0)
	
	if timer > 1 then
		timer=0
		local tEnv = obj:getEnvTemperature() or 0
		data = {temp=tEnv,  dist = dist}
		htmlTexture.call(gaugesScreenName, "updateData", data)
	end

end


-- public interface
M.onInit    = onInit
M.onReset   = onInit
M.updateGFX = updateGFX

return M
